# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/MultiProjectPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MultiProjectPage(object):
    def setupUi(self, MultiProjectPage):
        MultiProjectPage.setObjectName("MultiProjectPage")
        MultiProjectPage.resize(494, 362)
        self.verticalLayout = QtWidgets.QVBoxLayout(MultiProjectPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=MultiProjectPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line8 = QtWidgets.QFrame(parent=MultiProjectPage)
        self.line8.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line8.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line8.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line8.setObjectName("line8")
        self.verticalLayout.addWidget(self.line8)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=MultiProjectPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_2)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.workspacePicker = EricPathPicker(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.workspacePicker.sizePolicy().hasHeightForWidth())
        self.workspacePicker.setSizePolicy(sizePolicy)
        self.workspacePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.workspacePicker.setObjectName("workspacePicker")
        self.horizontalLayout.addWidget(self.workspacePicker)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.groupBox = QtWidgets.QGroupBox(parent=MultiProjectPage)
        self.groupBox.setObjectName("groupBox")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.vboxlayout.setObjectName("vboxlayout")
        self.openMainAutomaticallyCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.openMainAutomaticallyCheckBox.setObjectName("openMainAutomaticallyCheckBox")
        self.vboxlayout.addWidget(self.openMainAutomaticallyCheckBox)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_6 = QtWidgets.QGroupBox(parent=MultiProjectPage)
        self.groupBox_6.setObjectName("groupBox_6")
        self.vboxlayout1 = QtWidgets.QVBoxLayout(self.groupBox_6)
        self.vboxlayout1.setObjectName("vboxlayout1")
        self.multiProjectTimestampCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.multiProjectTimestampCheckBox.setObjectName("multiProjectTimestampCheckBox")
        self.vboxlayout1.addWidget(self.multiProjectTimestampCheckBox)
        self.verticalLayout.addWidget(self.groupBox_6)
        self.groupBox_7 = QtWidgets.QGroupBox(parent=MultiProjectPage)
        self.groupBox_7.setObjectName("groupBox_7")
        self.vboxlayout2 = QtWidgets.QVBoxLayout(self.groupBox_7)
        self.vboxlayout2.setObjectName("vboxlayout2")
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox_7)
        self.label.setObjectName("label")
        self.hboxlayout.addWidget(self.label)
        self.multiProjectRecentSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_7)
        self.multiProjectRecentSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.multiProjectRecentSpinBox.setMinimum(5)
        self.multiProjectRecentSpinBox.setMaximum(50)
        self.multiProjectRecentSpinBox.setObjectName("multiProjectRecentSpinBox")
        self.hboxlayout.addWidget(self.multiProjectRecentSpinBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout.addItem(spacerItem)
        self.vboxlayout2.addLayout(self.hboxlayout)
        self.verticalLayout.addWidget(self.groupBox_7)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem1)

        self.retranslateUi(MultiProjectPage)
        QtCore.QMetaObject.connectSlotsByName(MultiProjectPage)
        MultiProjectPage.setTabOrder(self.workspacePicker, self.openMainAutomaticallyCheckBox)
        MultiProjectPage.setTabOrder(self.openMainAutomaticallyCheckBox, self.multiProjectTimestampCheckBox)
        MultiProjectPage.setTabOrder(self.multiProjectTimestampCheckBox, self.multiProjectRecentSpinBox)

    def retranslateUi(self, MultiProjectPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("MultiProjectPage", "<b>Configure multiproject settings</b>"))
        self.groupBox_2.setTitle(_translate("MultiProjectPage", "Workspace"))
        self.workspacePicker.setToolTip(_translate("MultiProjectPage", "Enter the name of the workspace directory"))
        self.groupBox.setTitle(_translate("MultiProjectPage", "Main Project"))
        self.openMainAutomaticallyCheckBox.setToolTip(_translate("MultiProjectPage", "Select to open the main project automatically upon opening the multiproject"))
        self.openMainAutomaticallyCheckBox.setText(_translate("MultiProjectPage", "Open main project automatically"))
        self.groupBox_6.setTitle(_translate("MultiProjectPage", "Files"))
        self.multiProjectTimestampCheckBox.setToolTip(_translate("MultiProjectPage", "Select, if a timestamp should be written to all Multi Project files"))
        self.multiProjectTimestampCheckBox.setText(_translate("MultiProjectPage", "Include timestamp in Multi Project files"))
        self.groupBox_7.setTitle(_translate("MultiProjectPage", "Recent Multiprojects"))
        self.label.setText(_translate("MultiProjectPage", "Number of recent multiprojects:"))
        self.multiProjectRecentSpinBox.setToolTip(_translate("MultiProjectPage", "Enter the number of recent multiprojects to remember"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
